<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
            <f:facet name="first">
                <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
                <title>Ben Johnson's Q2</title>
            </f:facet>
        </h:head>

        <h:body>
            <h:form enctype="multipart/form-data">
                <p:layout fullPage="true">
                    <p:layoutUnit position="north" size="53" resizable="true" closable="true" collapsible="true">
                        Benjamin Johnson's Q2
                    </p:layoutUnit>


                    <p:layoutUnit position="west" size="175" >
                        <p:menu>
                            <p:submenu label="Menu">
                                <p:menuitem value="Uploads" outcome="upload" />
                                <p:menuitem value="Albums" outcome="album" />
                            </p:submenu>

                        </p:menu>
                    </p:layoutUnit>

                    <!-- This is where uploads.xhtml & || album.xhtml will extend -->
                    <ui:insert name="content" >
                        <ui:include src="album.xhtml" />
                    </ui:insert>   

                </p:layout>

            </h:form>
        </h:body>
    </f:view>

</html>

